Package org.apache.tomcat.util.net

# Class AprEndpoint.SendfileData

java.lang.Object
org.apache.tomcat.util.net.SendfileDataBase
org.apache.tomcat.util.net.AprEndpoint.SendfileData

Enclosing class:
  AprEndpoint

public static class AprEndpoint.SendfileData extends SendfileDataBase
SendfileData class.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected long`
  `fd`
  `protected long`
  `fdpool`
  `protected long`
  `socket`

  ### Fields inherited from class org.apache.tomcat.util.net.SendfileDataBase

  `fileName, keepAliveState, length, pos`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SendfileData(String filename, long pos, long length)`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### fd

    protected long fd

  - ### fdpool

    protected long fdpool

  - ### socket

    protected long socket

- ## Constructor Details

  - ### SendfileData

    public SendfileData(String filename, long pos, long length)